OpenShot Audio Library | OpenShotAudio: juce::Uuid Class Reference

OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
juce::Uuid Class Reference

`#include <juce_Uuid.h>`

## Public Member Functions
| Uuid ()
| ~Uuid () noexcept
| Uuid (const Uuid &) noexcept
Uuid & | operator= (const Uuid &) noexcept
bool | isNull () const noexcept
bool | operator== (const Uuid &) const noexcept
bool | operator!= (const Uuid &) const noexcept
bool | operator< (const Uuid &) const noexcept
bool | operator> (const Uuid &) const noexcept
bool | operator<= (const Uuid &) const noexcept
bool | operator>= (const Uuid &) const noexcept
String | toString () const
String | toDashedString () const
| Uuid (const String &uuidString)
Uuid & | operator= (const String &uuidString)
uint32 | getTimeLow () const noexcept
uint16 | getTimeMid () const noexcept
uint16 | getTimeHighAndVersion () const noexcept
uint8 | getClockSeqAndReserved () const noexcept
uint8 | getClockSeqLow () const noexcept
uint64 | getNode () const noexcept
uint64 | hash () const noexcept
const uint8 * | getRawData () const noexcept
| Uuid (const uint8 *rawData) noexcept
Uuid & | operator= (const uint8 *rawData) noexcept

## Static Public Member Functions
static Uuid | null () noexcept

## Detailed Description

A universally unique 128-bit identifier.

This class generates very random unique numbers. It's vanishingly unlikely that two identical UUIDs would ever be created by chance. The values are formatted to meet the RFC 4122 version 4 standard.

The class includes methods for saving the ID as a string or as raw binary data.

Definition at line 38 of file juce_Uuid.h.

## Constructor & Destructor Documentation

## ◆ Uuid() [1/4]

juce::Uuid::Uuid | ( |  | ) |

Creates a new unique ID, compliant with RFC 4122 version 4.

Definition at line 26 of file juce_Uuid.cpp.

Referenced by null().

## ◆ ~Uuid()

juce::Uuid::~Uuid | ( |  | ) |
| noexcept

Destructor.

Definition at line 38 of file juce_Uuid.cpp.

## ◆ Uuid() [2/4]

juce::Uuid::Uuid | ( | const Uuid & | other | ) |
| noexcept

Creates a copy of another UUID.

Definition at line 40 of file juce_Uuid.cpp.

## ◆ Uuid() [3/4]

juce::Uuid::Uuid | ( | const String & | uuidString | ) |

Creates an ID from an encoded string version.

See also
  toString

Definition at line 101 of file juce_Uuid.cpp.

## ◆ Uuid() [4/4]

juce::Uuid::Uuid | ( | const uint8 * | rawData | ) |
| noexcept

Creates a UUID from a 16-byte array.

See also
  getRawData

Definition at line 115 of file juce_Uuid.cpp.

## Member Function Documentation

## ◆ getClockSeqAndReserved()

uint8 juce::Uuid::getClockSeqAndReserved | ( |  | ) | const
| noexcept

Returns the clock-seq-and-reserved section of the UUID.

Definition at line 133 of file juce_Uuid.cpp.

## ◆ getClockSeqLow()

uint8 juce::Uuid::getClockSeqLow | ( |  | ) | const
| noexcept

Returns the clock-seq-low section of the UUID.

Definition at line 134 of file juce_Uuid.cpp.

## ◆ getNode()

uint64 juce::Uuid::getNode | ( |  | ) | const
| noexcept

Returns the node section of the UUID.

Definition at line 135 of file juce_Uuid.cpp.

## ◆ getRawData()

const uint8 * juce::Uuid::getRawData | ( |  | ) | const
| inlinenoexcept

Returns a pointer to the internal binary representation of the ID.

This is an array of 16 bytes. To reconstruct a Uuid from its data, use the constructor or operator= method that takes an array of uint8s.

Definition at line 117 of file juce_Uuid.h.

## ◆ getTimeHighAndVersion()

uint16 juce::Uuid::getTimeHighAndVersion | ( |  | ) | const
| noexcept

Returns the time-high-and-version section of the UUID.

Definition at line 132 of file juce_Uuid.cpp.

## ◆ getTimeLow()

uint32 juce::Uuid::getTimeLow | ( |  | ) | const
| noexcept

Returns the time-low section of the UUID.

Definition at line 130 of file juce_Uuid.cpp.

## ◆ getTimeMid()

uint16 juce::Uuid::getTimeMid | ( |  | ) | const
| noexcept

Returns the time-mid section of the UUID.

Definition at line 131 of file juce_Uuid.cpp.

## ◆ hash()

uint64 juce::Uuid::hash | ( |  | ) | const
| noexcept

Returns a hash of the UUID.

Definition at line 137 of file juce_Uuid.cpp.

## ◆ isNull()

bool juce::Uuid::isNull | ( |  | ) | const
| noexcept

Returns true if the ID is zero.

Definition at line 73 of file juce_Uuid.cpp.

## ◆ null()

Uuid juce::Uuid::null | ( |  | ) |
| staticnoexcept

Returns a null Uuid object.

Definition at line 68 of file juce_Uuid.cpp.

## ◆ operator!=()

bool juce::Uuid::operator!= | ( | const Uuid & | other | ) | const
| noexcept

Definition at line 52 of file juce_Uuid.cpp.

## ◆ operator<()

bool juce::Uuid::operator< | ( | const Uuid & | other | ) | const
| noexcept

Definition at line 54 of file juce_Uuid.cpp.

## ◆ operator<=()

bool juce::Uuid::operator<= | ( | const Uuid & | other | ) | const
| noexcept

Definition at line 56 of file juce_Uuid.cpp.

## ◆ operator=() [1/3]

Uuid & juce::Uuid::operator= | ( | const String & | uuidString | ) |

Copies from a stringified UUID. The string passed in should be one that was created with the toString() method.

Definition at line 106 of file juce_Uuid.cpp.

## ◆ operator=() [2/3]

Uuid & juce::Uuid::operator= | ( | const uint8 * | rawData | ) |
| noexcept

Sets this UUID from 16-bytes of raw data.

Definition at line 120 of file juce_Uuid.cpp.

## ◆ operator=() [3/3]

Uuid & juce::Uuid::operator= | ( | const Uuid & | other | ) |
| noexcept

Copies another UUID.

Definition at line 45 of file juce_Uuid.cpp.

Referenced by Uuid().

## ◆ operator==()

bool juce::Uuid::operator== | ( | const Uuid & | other | ) | const
| noexcept

Definition at line 51 of file juce_Uuid.cpp.

## ◆ operator>()

bool juce::Uuid::operator> | ( | const Uuid & | other | ) | const
| noexcept

Definition at line 55 of file juce_Uuid.cpp.

## ◆ operator>=()

bool juce::Uuid::operator>= | ( | const Uuid & | other | ) | const
| noexcept

Definition at line 57 of file juce_Uuid.cpp.

## ◆ toDashedString()

String juce::Uuid::toDashedString | ( |  | ) | const

Returns a stringified version of this UUID, separating it into sections with dashes.

Returns
  a string in the format: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx

Definition at line 92 of file juce_Uuid.cpp.

## ◆ toString()

String juce::Uuid::toString | ( |  | ) | const

Returns a stringified version of this UUID.

A Uuid object can later be reconstructed from this string using operator= or the constructor that takes a string parameter.

Returns
  a 32 character hex string.

Definition at line 87 of file juce_Uuid.cpp.

The documentation for this class was generated from the following files:

- juce_Uuid.h
- juce_Uuid.cpp